---
title: Get an org authorized client
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Org Authorized Clients
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Get an org authorized client{% #get-an-org-authorized-client %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                                               |
| ----------------- | ------------------------------------------------------------------------------------------ |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/org_authorized_clients/{org_authorized_client_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/org_authorized_clients/{org_authorized_client_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/org_authorized_clients/{org_authorized_client_id}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/org_authorized_clients/{org_authorized_client_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/org_authorized_clients/{org_authorized_client_id}  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/org_authorized_clients/{org_authorized_client_id} |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/org_authorized_clients/{org_authorized_client_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/org_authorized_clients/{org_authorized_client_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/org_authorized_clients/{org_authorized_client_id} |

### Overview

Get a single OAuth2 client authorized for the current organization. This endpoint requires the `org_authorized_apps_read` permission.

OAuth apps require the `org_authorized_apps_read` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#org-authorized-clients) to access this endpoint.



### Arguments

#### Path Parameters

| Name                                       | Type   | Description                          |
| ------------------------------------------ | ------ | ------------------------------------ |
| org_authorized_client_id [*required*] | string | The ID of the org authorized client. |

#### Query Strings

| Name                                            | Type   | Description                                                                                                                                                  |
| ----------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| include                                         | string | Comma-separated list of related resources to include. Options: `oauth2_client`, `oauth2_client.app`, `oauth2_client.scopes`, `user_authorized_clients.user`. |
| filter[user_authorized_clients][disabled]       | string | Filter included user authorized clients by disabled status.                                                                                                  |
| filter[user_authorized_clients][user][disabled] | string | Filter included user authorized clients by user disabled status.                                                                                             |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing a single org authorized client.

| Parent field            | Field                                     | Type      | Description                                                                                 |
| ----------------------- | ----------------------------------------- | --------- | ------------------------------------------------------------------------------------------- |
|                         | data [*required*]                    | object    | Data object representing an org authorized client.                                          |
| data                    | attributes [*required*]              | object    | Attributes of an org authorized client.                                                     |
| attributes              | disabled [*required*]                | boolean   | Whether the organization has disabled this client.                                          |
| attributes              | last_exercised [*required*]          | date-time | The date and time this client was last exercised.                                           |
| attributes              | user_count [*required*]              | int64     | The number of users in the organization who have authorized this client.                    |
| data                    | id [*required*]                      | string    | The unique identifier of the org authorized client.                                         |
| data                    | relationships [*required*]           | object    | Relationships for an org authorized client.                                                 |
| relationships           | oauth2_client [*required*]           | object    | Relationship to the OAuth2 client for this org authorized client.                           |
| oauth2_client           | data [*required*]                    | object    | Data identifying the OAuth2 client associated with this org authorized client.              |
| data                    | id [*required*]                      | string    | The ID of the OAuth2 client.                                                                |
| data                    | type [*required*]                    | enum      | OAuth2 client resource type. Allowed enum values: `oauth2_clients`                          |
| relationships           | user_authorized_clients [*required*] | object    | Relationship to the user authorized clients for this org authorized client.                 |
| user_authorized_clients | data [*required*]                    | [object]  | List of user authorized client relationship data objects.                                   |
| data                    | id [*required*]                      | string    | The ID of the user authorized client.                                                       |
| data                    | type [*required*]                    | enum      | User authorized client resource type. Allowed enum values: `user_authorized_clients`        |
| user_authorized_clients | links [*required*]                   | object    | Links for the user authorized clients relationship.                                         |
| links                   | related [*required*]                 | string    | Link to the user authorized clients for this org authorized client.                         |
| data                    | type [*required*]                    | enum      | The resource type for org authorized clients. Allowed enum values: `org_authorized_clients` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "disabled": false,
      "last_exercised": "2024-01-15T10:30:00+00:00",
      "user_count": 2
    },
    "id": "00000000-0000-0000-0000-000000000001",
    "relationships": {
      "oauth2_client": {
        "data": {
          "id": "00000000-0000-0000-0000-000000000010",
          "type": "oauth2_clients"
        }
      },
      "user_authorized_clients": {
        "data": [
          {
            "id": "00000000-0000-0000-0000-000000000020",
            "type": "user_authorized_clients"
          }
        ],
        "links": {
          "related": "/api/v2/org_authorized_clients/00000000-0000-0000-0000-000000000001/user_authorized_clients"
        }
      }
    },
    "type": "org_authorized_clients"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Authentication error
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export org_authorized_client_id="00000000-0000-0000-0000-000000000001" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/org_authorized_clients/${org_authorized_client_id}" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
